View Issue Details

IDProjectCategoryView StatusLast Update
0004255SymmetricDSNew Featurepublic2020-01-29 15:00
Reporterjosh-a-hicks Assigned Tojosh-a-hicks  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.9 
Target Version3.10.9Fixed in Version3.10.9 
Summary0004255: HBase data loader using HBase client API
DescriptionHBase support through the phoenix JDBC driver works when you need SymmetricDS to create the HBase tables and replicate changes into it. However this approach is more complicated if you have existing HBase tables. The phoenix driver supplies support to create views on top of existing Hbase tables but requiresa lot more scripting and configuration outside of SymmetricDS. As a result there is now an option to use a "hbase" data loader type on the channel. This utilizes the HBase Java client libraries (not JDBC) to load data into existing table structures in HBase.

The HBase Java client API requires the path to the hbase-site.xml which can be set using the SymmetricDS parameter: hbase.site.xml.path.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 4b9f99ae

2020-01-21 12:55:28

josh-a-hicks

Details Diff
0004255: HBase data loader using HBase client API Affected Issues
0004255
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-assemble/src/asciidoc/appendix/hbase.ad Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/io/HbaseDataLoaderFactory.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/io/HbaseDatabaseWriter.java Diff File
mod - symmetric-core/build.gradle Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/hbase/HbasePlatform.java Diff File

SymmetricDS: 3.10 59020941

2020-01-21 12:55:41

josh-a-hicks

Details Diff
0004255: HBase data loader using HBase client API Affected Issues
0004255
mod - symmetric-client/src/main/resources/symmetric-ext-points.xml Diff File

SymmetricDS: 3.11 58ae24f2

2020-01-29 13:58:41

josh-a-hicks

Details Diff
0004255: HBase data loader using HBase client API Affected Issues
0004255
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/HbaseDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2020-01-21 12:55 josh-a-hicks New Issue
2020-01-21 12:55 josh-a-hicks Status new => assigned
2020-01-21 12:55 josh-a-hicks Assigned To => josh-a-hicks
2020-01-21 12:56 josh-a-hicks Status assigned => resolved
2020-01-21 12:56 josh-a-hicks Resolution open => fixed
2020-01-21 12:56 josh-a-hicks Fixed in Version => 3.10.9
2020-01-21 13:00 josh-a-hicks Changeset attached => SymmetricDS 3.10 59020941
2020-01-21 13:00 josh-a-hicks Changeset attached => SymmetricDS 3.10 4b9f99ae
2020-01-23 15:41 admin Status resolved => closed
2020-01-29 15:00 josh-a-hicks Changeset attached => SymmetricDS 3.11 58ae24f2